﻿@using Newtonsoft.Json;


<div class="col-md-4">
    <b>Status</b> : @ViewBag.result.ResponseStatus<br />
    <b>Message</b> : @ViewBag.result.ResponseMessage<br />
    @*<b> Total records</b>: @ViewBag.result.TotalRecords<br />
    <b>Total Success</b>: @ViewBag.result.TotalSuccessRecords<br />
    <b>  Total Failed</b> : @ViewBag.result.TotalFailedRecords*@
</div>
<a id='dwnldLnk' href="data:application/vnd.ms-excel;base64, @ViewBag.Base64TrendString" download='ImportResponse.xlsx' style="display:none;">Download</a>
@*<span style="display:none;" id="dataHidden">
        @Html.Raw(JsonConvert.SerializeObject(ViewBag.TrendErrorList))
    </span>*@

<script src="~/js/jquery.min.js"></script>
<script>
    window.downloadPDF = function downloadPDF(fileName) {
        var dlnk = document.getElementById('dwnldLnk');
        dlnk.setAttribute("download", fileName);
        dlnk.click();
    }
    
</script>
<script>
    $(document).ready(function () {
        var data = @Html.Raw(JsonConvert.SerializeObject(ViewBag.TrendErrorList));
        if ("@ViewBag.result.ResponseMessage" == "Import Company Profile have some errors") {
            $.ajax({
                cache: false,
                type: "POST",
                url: "/Import/CompanyProfileExport",
                data: data,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (data) {
                    var response = data;
                    window.location = '/Import/Download?fileGuid=' + response.fileGuid
                        + '&filename=' + response.fileName;
                },
                failure: function (data) {
                    alert(data.responseText);
                },
                error: function (data) {
                    alert(data.responseText);
                }
                });
        }

        if ("@ViewBag.result.ResponseMessage" == "Import CPFinancial have some errors") {
            @*var cpfinancialdata = @Html.Raw(JsonConvert.SerializeObject(ViewBag.CPFiancialErrorList));
            debugger;
            $.ajax({
                cache: false,
                type: "POST",
                url: "/Import/CPFinancialExport",
                data: cpfinancialdata,
                contentType: "application/json; charset=utf-8",
                dataType: "json",
                success: function (data) {
                    var response = data;
                    window.location = '/Import/Download?fileGuid=' + response.fileGuid
                        + '&filename=' + response.fileName;
                },
                failure: function (data) {
                    alert(data.responseText);
                },
                error: function (data) {
                    alert(data.responseText);
                }
                });*@
        }

       
    });
</script>
